Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.datasource.lookup
Interface DataSourceLookup

All Known Implementing Classes:
  BeanFactoryDataSourceLookup, JndiDataSourceLookup, MapDataSourceLookup, SingleDataSourceLookup

    public interface DataSourceLookup

Strategy interface for looking up DataSources by name.

Used, for example, to resolve data source names in JPA `persistence.xml` files.

Since:
  2.0
Author:
  Costin Leau, Juergen Hoeller
See Also:
  `DefaultPersistenceUnitManager.setDataSourceLookup(org.springframework.jdbc.datasource.lookup.DataSourceLookup)`

Method Summary
`DataSource` | `getDataSource(String dataSourceName)` Retrieve the DataSource identified by the given name.

Method Detail

### getDataSource

    DataSource getDataSource(String dataSourceName)
                             throws DataSourceLookupFailureException

  Retrieve the DataSource identified by the given name.

  Parameters:
    `dataSourceName` - the name of the DataSource
  Returns:
    the DataSource (never `null`)
  Throws:
    `DataSourceLookupFailureException` - if the lookup failed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD